Bug 218493 - www/phalcon: update to 3.1.2, PHP 7.1 support and 32 bit build
Summary: www/phalcon: update to 3.1.2, PHP 7.1 support and 32 bit build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-08 15:28 UTC by Franco Fichtner
Modified: 2017-04-12 16:28 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (linpct)


Attachments
phalcon 3.1.2 update (3.13 KB, patch)
2017-04-08 15:28 UTC, Franco Fichtner
no flags Details | Diff
version two without patch file (2.67 KB, patch)
2017-04-08 17:52 UTC, Franco Fichtner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2017-04-08 15:28:57 UTC
Created attachment 181600 [details]
phalcon 3.1.2 update

Tested on: amd64 with PHP 7.0 and 7.1, i386 with PHP 7.0 and PHP 7.1
Comment 1 Po-Chuan Hsieh freebsd_committer 2017-04-08 16:55:26 UTC
I would use the following in Makefile instead of an extra patch.

post-patch:
.if ${PHP_VER} >= 70 && ${PBITS} == 32
        @${REINPLACE_CMD} -e 's| ZEPHIR_FASTCALL||' ${WRKSRC}/phalcon.zep.c
.endif
Comment 2 Franco Fichtner 2017-04-08 17:03:28 UTC
The PHP var check looks good, but I don't strongly favour replacing all ZEPHIR_FASTCALL occurrences in a C file per sed.  An upstream issue exists for the build problem, but has been mostly unresponsive.  So far, we don't even know why this is problematic for some parts but not others.

We can do what you propose, but it will take a bit more QA to see that it works as expected (2-3 days)?
Comment 3 Franco Fichtner 2017-04-08 17:52:17 UTC
Created attachment 181606 [details]
version two without patch file
Comment 4 linpct 2017-04-10 02:51:27 UTC
Comment on attachment 181606 [details]
version two without patch file

Maintainer approved.
Comment 5 commit-hook freebsd_committer 2017-04-12 16:26:51 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Apr 12 16:25:26 UTC 2017
New revision: 438382
URL: https://svnweb.freebsd.org/changeset/ports/438382

Log:
  Update to 3.1.2

  Changes:	https://github.com/phalcon/cphalcon/blob/master/CHANGELOG.md
  PR:		218493
  Submitted by:	Franco Fichtner <franco@opnsense.org>
  Approved by:	Daniel Lin <linpct@gmail.com> (maintainer)

Changes:
  head/www/phalcon/Makefile
  head/www/phalcon/distinfo
  head/www/phalcon/files/
Comment 6 Po-Chuan Hsieh freebsd_committer 2017-04-12 16:28:51 UTC
Committed. Thanks!